import QtQuick 2.15
import QtQuick.Controls 2.15

Page {
    id: page1

    // Expose le StackView pour pouvoir faire le push/pop
    property alias stackView: stackViewRef.stackView

    // Texte affiché
    property string displayText: "Aucun texte reçu"

    Column {
        anchors.centerIn: parent
        spacing: 20

        Text {
            text: displayText
            font.pixelSize: 20
        }

        Button {
            text: "Aller à la page 2"
            onClicked: {
                var page2 = Qt.createComponent("Page2.qml").createObject(page1)
                if (page2) {
                    // Connection propre
                    page2.textValidated.connect(function(text) {
                        page1.updateText(text)
                        page1.stackView.pop()
                    })
                    page1.stackView.push(page2)
                }
            }
        }
    }

    // Méthode publique pour mettre à jour le texte
    function updateText(newText) {
        displayText = newText
    }

    // Pour passer le stackview depuis main.qml (via alias)
    QtObject {
        id: stackViewRef
        property StackView stackView
    }
}
